DL_KeyDerivationAlgorithm< T > Class Template Referenceabstract

Interface for key derivation algorithms used in DL cryptosystems. More...

`#include <pubkey.h>`

Inheritance diagram for DL_KeyDerivationAlgorithm< T >:

## Public Member Functions

virtual bool | ParameterSupported (const char *name) const
virtual void | Derive (const DL_GroupParameters< T > &groupParams, byte *derivedKey, size_t derivedLength, const T &agreedElement, const T &ephemeralPublicKey, const NameValuePairs &derivationParams) const =0

## Detailed Description

template<class T>
class DL_KeyDerivationAlgorithm< T >

Interface for key derivation algorithms used in DL cryptosystems.

Template Parameters

  T | Field element type or class

Field element `T` can be Integer, ECP or EC2N.

See also
  DLIES, ECIES, ECIES_P1363

Definition at line 1492 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_KeyDerivationAlgorithm()

template<class T >

virtual DL_KeyDerivationAlgorithm< T >::~DL_KeyDerivationAlgorithm | ( |  | ) |

inline virtual

Definition at line 1495 of file pubkey.h.

## Member Function Documentation

## ParameterSupported()

template<class T >

virtual bool DL_KeyDerivationAlgorithm< T >::ParameterSupported | ( | const char * | name | ) | const

inline virtual

Definition at line 1497 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h